Bug 817036 - [RFE] Add a version command to subscription-manager
[RFE] Add a version command to subscription-manager
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.9
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Alex Wood
Entitlement Bugs
:
Depends On:
Blocks: 771748
  Show dependency treegraph
 
Reported: 2012-04-27 09:33 EDT by James Bowes
Modified: 2013-01-10 05:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 10:15:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2012-04-27 09:33:47 EDT
add a version command to subscription-manager. it should display both the version of subscription-manager and python-rhsm, and the version of the candlepin its connected to.
Comment 1 Alex Wood 2012-05-09 14:42:14 EDT
commit 05729fbd880cae42795f27b0be6af7db1851afb9
Author: Alex Wood <awood@redhat.com>
Date:   Sun May 6 22:04:30 2012 -0400

    817036: Add a version command to subscription-manager.

Available in subscription-manager-1.0.2+

Note that this change also requires an update to python-rhsm-1.0.1
Comment 2 spandey 2012-06-18 07:01:05 EDT
Verified using following rpm 

subscription-manager-firstboot-1.0.3-1.git.75.a0245f2.el5
subscription-manager-1.0.3-1.git.75.a0245f2.el5
subscription-manager-gui-1.0.3-1.git.75.a0245f2.el5
subscription-manager-migration-data-1.11.1.1-1.git.2.c7fbafe.el5
subscription-manager-migration-1.0.3-1.git.75.a0245f2.el5


[root@dhcp193-122 product]# subscription-manager register --serverurl http://10.65.193.186:8443/candlepin --org admin
Username: testuser1
Password: 
The system has been registered with id: 5d3f5bd1-a092-4192-b92d-86b93cc4eafd 
[root@dhcp193-122 product]# subscription-manager version
remote entitlement server: 0.7.2-1
subscription-manager: 1.0.3-1.git.75.a0245f2.el5
python-rhsm: 1.0.2-1.git.1.4659671.el5


Working fine resolving defect as verified
Comment 4 Libor Miksik 2012-10-25 08:31:39 EDT
Thank you for submitting this issue for consideration. Red Hat Enterprise Linux 5 has reached the end of Production 1 Phase of its Life Cycle.  Red Hat does not plan to incorporate the suggested capability in a future Red Hat Enterprise Linux 5 minor release. If you would like Red  Hat to re-consider this feature request and the requested functionality is not currently in Red Hat Enterprise Linux 6, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.
Comment 5 John Sefler 2012-11-27 09:49:39 EST
This bug should not have been CLOSED as WONTFIX.
This new feature of subscription-manager is implemented and is already included in the subscription-manager package version that will be released with RHEL59.

Note You need to log in before you can comment on or make changes to this bug.